Skip to main content

Exploración de los avisos de seguridad en GitHub Advisory Database

Puede examinar GitHub Advisory Database para buscar CVE y GitHub originados que afectan al mundo de código abierto.

Acceder a una asesoría en la GitHub Advisory Database

Puedes acceder a una asesoría en la GitHub Advisory Database.

  1. Vaya a https://github.com/advisories.

  2. Opcionalmente, para filtrar la lista de avisos, utiliza el campo de búsqueda o los menús desplegables en la parte superior de la lista.

    Sugerencia: Puedes utilizar la barra lateral de la izquierda para explorar los avisos que GitHub revisa y no revisados por separado, o para filtrar por ecosistema.

  3. Haz clic en cualquier aviso para ver los detalles. De manera predeterminada, verás avisos revisados por GitHub para las vulnerabilidades de seguridad. Para mostrar avisos de malware, usa type:malware en la barra de búsqueda.

También se puede acceder a la base de datos utilizando la API de GraphQL. De forma predeterminada, las consultas devolverán avisos revisados por GitHub en relación con las vulnerabilidades de seguridad a menos que se especifique type:malware. Para más información, consulta "Eventos y cargas de webhook".

Además, puedes acceder a GitHub Advisory Database mediante la API REST. Para más información, consulta "Asesorías de seguridad global" en la documentación de la API REST.

Editar una asesoría en la GitHub Advisory Database

Puedes sugerir mejoras a cualquier asesoría en la GitHub Advisory Database. Para obtener más información, vea «Edición de avisos de seguridad en la base de avisos de GitHub».

Buscar en la GitHub Advisory Database por coincidencia exacta

Puedes buscar la base de datos y utilizar los calificadores para definir más tu búsqueda. Por ejemplo, puedes buscar las asesorías que se hayan creado en una fecha, ecosistema o biblioteca específicos.

El formato de fecha debe seguir el estándar ISO8601, que es YYYY-MM-DD (año-mes-día). También puede agregar información de tiempo opcional THH:MM:SS+00:00 después de la fecha, para buscar por hora, minuto y segundo. Esto es, T, seguido de HH:MM:SS (hora-minutos-segundos) y una diferencia horaria con UTC (+00:00).

Cuando buscas una fecha, puedes utilizar los calificadores de mayor qué, menor qué y rango para filtrar aún más los resultados. Para obtener más información, vea «Entender la sintaxis de búsqueda».

Calificador:Ejemplo
type:reviewedtype:reviewed mostrará avisos revisados por GitHub para las vulnerabilidades de seguridad.
type:malwaretype:malware mostrará advertencias de software malicioso.
type:unreviewedtype:unreviewed mostrará las advertencias no revisadas.
GHSA-IDGHSA-49wp-qq6x-g2rf mostrará la advertencia con este id. de GitHub Advisory Database.
CVE-IDCVE-2020-28482 mostrará la advertencia con este número de id. CVE.
ecosystem:ECOSYSTEMecosystem:npm mostrará solo las advertencias que afecten a los paquetes de NPM.
severity:LEVELseverity:high solo mostrará advertencias con un nivel de gravedad alto.
affects:LIBRARYaffects:lodash mostrará solo advertencias que afecten a la biblioteca lodash.
cwe:IDcwe:352 solo mostrará advertencias con este número CWE.
credit:USERNAMEcredit:octocat solo mostrará advertencias acreditadas en la cuenta de usuario "octocat".
sort:created-ascsort:created-asc ordenará primero por las advertencias más antiguas.
sort:created-descsort:created-desc ordenará primero por las advertencias más recientes.
sort:updated-ascsort:updated-asc ordenará primero por la actualización menos reciente.
sort:updated-descsort:updated-desc ordenará primero por la actualización más reciente.
is:withdrawnis:withdrawn mostrará solo advertencias que se han retirado.
created:YYYY-MM-DDcreated:2021-01-13 mostrará solo advertencias creadas en esta fecha.
updated:YYYY-MM-DDupdated:2021-01-13 mostrará solo advertencias actualizadas en esta fecha.

Un calificador GHSA-ID es un identificador único que en GitHub asignamos automáticamente a cada aviso de la GitHub Advisory Database. Para más información sobre estos identificadores, consulta "Acerca de GitHub Advisory Database".

Visualizar tus repositorios vulnerables

Para cualquier aviso revisado por GitHub en GitHub Advisory Database, puedes ver cuáles de los repositorios se ven afectados por esa vulnerabilidad de seguridad o malware. Para ver un repositorio vulnerable, debes tener acceso a las Dependabot alerts de este. Para obtener más información, vea «Acerca de las alertas Dependabot».

  1. Vaya a https://github.com/advisories.
  2. Haz clic en una asesoría.
  3. En la parte superior de la página de advertencias, haga clic en Dependabot alerts (Alertas de Dependabot). Captura de pantalla de un "aviso de seguridad global". El botón "Alertas de Dependabot" está resaltado con un contorno naranja.
  4. Opcionalmente, para filtrar la lista, utiliza la barra de búsqueda o los menús desplegables. El menú desplegable de "Organización" te permite filtrar las Dependabot alerts por propietario (organización o usuario).
  5. Para más detalles sobre el aviso y consejos sobre cómo corregir el repositorio vulnerable, haz clic en el nombre del repositorio.